List automation runs
GET
Lists an automation's runs, newest first: why it ran, how it ended (succeeded, nothing_new, waiting_approval, failed), a short summary, and the SMB chat it ran in (chat_id).
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
automation_id*stringMatch
^aut_[0-7][0-9A-HJKMNP-TV-Z]{25}$after?stringnext_cursor from the previous page.
Match
^[1-9][0-9]{0,17}$limit?integerRange
1 <= value <= 100SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*array<>next_cursor*string|nullrequest_id*stringcurl -X GET 'https://example.com/v1/automations/string/runs' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": [ { "id": "string", "trigger": "schedule", "scheduled_for": "string", "event_id": "string", "status": "queued", "chat_id": "efc9fe20-a1e5-4a8c-9c48-f1b30c1e4f86", "summary": "string", "error": "string", "created_at": "string", "started_at": "string", "finished_at": "string" } ], "next_cursor": "string", "request_id": "string"}